Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Interface Visitor

All Known Implementing Classes:
  PlanUtil.RequiredColumnVisitor, Validator, Visitors.AbstractVisitor, Visitors.JcrSql2Writer, Visitors.NavigationVisitor, Visitors.ReadableVisitor, Visitors.WalkAllVisitor

    public interface Visitor

The basic interface for all query visitor implementations.

Method Summary
`void` | `visit(AllNodes obj)`
`void` | `visit(And obj)`
`void` | `visit(ArithmeticOperand obj)`
`void` | `visit(Between obj)`
`void` | `visit(BindVariableName obj)`
`void` | `visit(ChildNode obj)`
`void` | `visit(ChildNodeJoinCondition obj)`
`void` | `visit(Column obj)`
`void` | `visit(Comparison obj)`
`void` | `visit(DescendantNode obj)`
`void` | `visit(DescendantNodeJoinCondition obj)`
`void` | `visit(EquiJoinCondition obj)`
`void` | `visit(FullTextSearch obj)`
`void` | `visit(FullTextSearchScore obj)`
`void` | `visit(Join obj)`
`void` | `visit(Length obj)`
`void` | `visit(Limit limit)`
`void` | `visit(Literal obj)`
`void` | `visit(LowerCase obj)`
`void` | `visit(NamedSelector obj)`
`void` | `visit(NodeDepth obj)`
`void` | `visit(NodeLocalName obj)`
`void` | `visit(NodeName obj)`
`void` | `visit(NodePath obj)`
`void` | `visit(Not obj)`
`void` | `visit(Or obj)`
`void` | `visit(Ordering obj)`
`void` | `visit(PropertyExistence obj)`
`void` | `visit(PropertyValue obj)`
`void` | `visit(Query obj)`
`void` | `visit(ReferenceValue obj)`
`void` | `visit(SameNode obj)`
`void` | `visit(SameNodeJoinCondition obj)`
`void` | `visit(SetCriteria obj)`
`void` | `visit(SetQuery obj)`
`void` | `visit(Subquery obj)`
`void` | `visit(UpperCase obj)`

Method Detail

### visit

    void visit(AllNodes obj)

### visit

    void visit(And obj)

### visit

    void visit(Between obj)

### visit

    void visit(BindVariableName obj)

### visit

    void visit(ChildNode obj)

### visit

    void visit(ChildNodeJoinCondition obj)

### visit

    void visit(Column obj)

### visit

    void visit(Comparison obj)

### visit

    void visit(DescendantNode obj)

### visit

    void visit(DescendantNodeJoinCondition obj)

### visit

    void visit(EquiJoinCondition obj)

### visit

    void visit(FullTextSearch obj)

### visit

    void visit(FullTextSearchScore obj)

### visit

    void visit(Join obj)

### visit

    void visit(Length obj)

### visit

    void visit(Limit limit)

### visit

    void visit(Literal obj)

### visit

    void visit(LowerCase obj)

### visit

    void visit(NodeLocalName obj)

### visit

    void visit(NodeName obj)

### visit

    void visit(NodePath obj)

### visit

    void visit(NodeDepth obj)

### visit

    void visit(NamedSelector obj)

### visit

    void visit(Not obj)

### visit

    void visit(Or obj)

### visit

    void visit(Ordering obj)

### visit

    void visit(PropertyExistence obj)

### visit

    void visit(PropertyValue obj)

### visit

    void visit(Query obj)

### visit

    void visit(Subquery obj)

### visit

    void visit(ReferenceValue obj)

### visit

    void visit(SameNode obj)

### visit

    void visit(SameNodeJoinCondition obj)

### visit

    void visit(SetCriteria obj)

### visit

    void visit(SetQuery obj)

### visit

    void visit(ArithmeticOperand obj)

### visit

    void visit(UpperCase obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.